unit UnitThread;

interface

uses
  Classes,SyncObjs, Windows;

type
  TEventThread = class(TThread)
  private
    { Private declarations }
  protected
    procedure Execute; override;
  public
    constructor Create(CreateSuspended: Boolean);
  end;

implementation

uses Main;

const
  FT_EVENT_RXCHAR = 1;

var
  Event: TEvent;

function SetEventNotification(dwEventMask: DWord; pvArg: Dword): Boolean; stdcall; External 'CANxx' name 'SetEventNotification';

constructor TEventThread.Create(CreateSuspended: Boolean);
var
 ok: Boolean;
begin
  FreeOnTerminate := True;
  inherited Create(CreateSuspended);
  Priority := tpHighest;
  Event:=TEvent.Create(nil,False,False,'');
//  SetEventNotification(FT_EVENT_RXCHAR, Event.Handle);
end;

procedure TEventThread.Execute;
begin
  while(not Terminated)do
  begin
    //if(wrSignaled = Event.WaitFor(100))then frmMain.ReceiveData(0);
    Event.WaitFor(100);
    frmMain.ReceiveData(1);
  end;
end;

end.
